Subject: Re: bug#931: 23.0.60; Bug in bytecomp.el: displaying warnings

From: martin rudalics <[email-masked]>
Date: Wed, 10 Sep 2008 11:23:12 +0200

>     I suppose the byte-compiler should either refrain from using
 >     `display-warning'
 >
 > That would be very drastic and cause a lot of inconvenience
 > in the normal situation where there is no bug!

I obviously meant use something different instead of `display-warning'.

 > 		      or, if `pop-up-windows' and `pop-up-frames' are nil,
 >     not display a warning until compilation is complete.
 >
 > The solution that occurs to me is that `display-warning' should
 > bind `pop-up-windows' to t in that case.

This would (1) ignore a user preference and (2) not work when the window
can't be split for some reason.

martin